ros-rolling-camera-calibration (7.1.0-1noble) noble; urgency=high

  * Update index.ros.org package website links (#1101 <https://github.com/ros-perception/image_pipeline/issues/1101>)
  * Contributors: Christophe Bedard

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 28 Jul 2025 22:00:00 -0000

ros-rolling-camera-calibration (7.0.0-1noble) noble; urgency=high

  * Replace OpenCV version string comparison with semver. (#1087 <https://github.com/ros-perception/image_pipeline/issues/1087>)
  * Contributors: Filip Grčar

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 18 May 2025 22:00:00 -0000

ros-rolling-camera-calibration (6.0.10-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Feb 2025 23:00:00 -0000

ros-rolling-camera-calibration (6.0.9-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Feb 2025 23:00:00 -0000

ros-rolling-camera-calibration (6.0.8-1noble) noble; urgency=high

  * Check repeatedly (backport #1066 <https://github.com/ros-perception/image_pipeline/issues/1066>) (#1070 <https://github.com/ros-perception/image_pipeline/issues/1070>)
    I made it so that it is checked multiple times instead of just once.
    - fix #1052 <https://github.com/ros-perception/image_pipeline/issues/1052>
    Co-authored-by: Tatsuro Sakaguchi <mailto:tacchan.mello.ioiq@gmail.com>
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * improve stereo calibration tutorial (#1065 <https://github.com/ros-perception/image_pipeline/issues/1065>)
    * make topic names consistent by removing the my_ prefix on some
    topics
    * show the output of ros2 service list so that service names are more
    clear
    * explain what left/right/left_camera/right_camera actually mean
  * Contributors: Michael Ferguson, mergify[bot]

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Feb 2025 23:00:00 -0000

ros-rolling-camera-calibration (6.0.7-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 26 Dec 2024 23:00:00 -0000

ros-rolling-camera-calibration (6.0.6-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 10 Dec 2024 23:00:00 -0000

ros-rolling-camera-calibration (6.0.5-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 29 Oct 2024 23:00:00 -0000

ros-rolling-camera-calibration (6.0.4-1noble) noble; urgency=high

  * check_set_camera_info() code clean-up (#1034 <https://github.com/ros-perception/image_pipeline/issues/1034>)
    Removed the unnecessary if response.status_message is not None checks
    Co-authored-by: ugol-1 <mailto:ugol-1@potatomatic.com>
  * Fix #1032 <https://github.com/ros-perception/image_pipeline/issues/1032> (#1033 <https://github.com/ros-perception/image_pipeline/issues/1033>)
    Use status_message from SetCameraInfo response instead of some
    non-existing result().
    Fixes #1032 <https://github.com/ros-perception/image_pipeline/issues/1032>
    Co-authored-by: ugol-1 <mailto:ugol-1@potatomatic.com>
  * Contributors: ugol-1

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 15 Oct 2024 22:00:00 -0000

ros-rolling-camera-calibration (6.0.3-1noble) noble; urgency=high

  * Refactoring calibration code (#1000 <https://github.com/ros-perception/image_pipeline/issues/1000>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Myron Rodrigues

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 22:00:00 -0000

ros-rolling-camera-calibration (6.0.2-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 22 Jul 2024 22:00:00 -0000

ros-rolling-camera-calibration (6.0.1-1noble) noble; urgency=high

  * Change camera info message to lower case (#1005 <https://github.com/ros-perception/image_pipeline/issues/1005>)
    Change camera info message to lower case since message type had been
    change in rolling and humble.
    [](https://github.com/ros2/common_interfaces/blob/rolling/sensor_msgs/msg/CameraInfo.msg)
  * Formatting calib code before refactoring (#999 <https://github.com/ros-perception/image_pipeline/issues/999>)
    As discussed in #975 <https://github.com/ros-perception/image_pipeline/issues/975> and #973 <https://github.com/ros-perception/image_pipeline/issues/973>
    doing the linting first.
    using style from
    [here](https://github.com/ament/ament_lint/blob/rolling/ament_pycodestyle/ament_pycodestyle/configuration/ament_pycodestyle.ini)
  * Added stereo calibration using charuco board (#976 <https://github.com/ros-perception/image_pipeline/issues/976>)
    From #972 <https://github.com/ros-perception/image_pipeline/issues/972>
    Doing this first for rolling.
    This was a TODO in the repository, opening this PR to add this feature.
    - The main issue why this wasn't possible imo is the way mk_obj_points
    works. I'm using the inbuilt opencv function to get the points there.
    - The other is a condition when aruco markers are detected they are
    added as good points, This is fine in case of mono but in stereo these
    have to be the same number as the object points to find matches although
    this should be possible with aruco.
  * Contributors: Myron Rodrigues, SFhmichael

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Jul 2024 22:00:00 -0000

ros-rolling-camera-calibration (6.0.0-1noble) noble; urgency=high

  * fix: cv2.aruco.interpolateCornersCharuco is deprecated (#979 <https://github.com/ros-perception/image_pipeline/issues/979>)
    There has been API Changes in the newer releases of opencv2 (from
    4.8.0). The PR addresses this by supporting both the old and new APIs.
    updated Syntax
    ```
    charucodetector = cv2.aruco.CharucoDetector(board)
    charuco_corners, charuco_ids, marker_corners, marker_ids = charucodetector.detectBoard(image)
    ```
    before 4.8.0
    ```
    marker_corners, marker_ids, rejectedImgPoints = cv2.aruco.detectMarkers( image, dictionary)
    retval, charuco_corners, charuco_ids = cv2.aruco.interpolateCornersCharuco( marker_corners, marker_ids, image, board)
    ```
    See the changed examples in the main opencv2 repo:
    https://github.com/opencv/opencv/blob/f9a59f2592993d3dcc080e495f4f5e02dd8ec7ef/samples/python/calibrate.py#L110
  * Update for compatibility with image_pipeline 4.1.0 (#968 <https://github.com/ros-perception/image_pipeline/issues/968>)
    This is a PR to fix:
    - #966 <https://github.com/ros-perception/image_pipeline/issues/966>
    As noted in #966 <https://github.com/ros-perception/image_pipeline/issues/966>, as of writing image_pipeline [4.1.0 has been
    released](https://github.com/ros-perception/vision_opencv/releases/tag/4.1.0),
    is updated on
    [index.ros.org](https://index.ros.org/p/image_geometry/github-ros-perception-vision_opencv/#rolling),
    but it has not yet been migrated to
    [packages.ros.org](http://packages.ros.org/ros2/ubuntu/dists/noble/main/binary-amd64/Packages).
    As such camera_calibration will also require the source of
    [image_pipeline
    4.1.0](https://github.com/ros-perception/vision_opencv/releases/tag/4.1.0)
    or higher to successfully build.
    I tested to ensure successful build with colcon build & colcon test.
    Note that colcon test has the following warning that is out of scope of
    this PR:
    ```
    =============================== warnings summary ===============================
    src/camera_calibration/calibrator.py:47
    Warning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
    ```
    Please let me know if there are any questions, concerns, or requested
    changes.
  * replace disutils with python3-semver (#970 <https://github.com/ros-perception/image_pipeline/issues/970>)
    Fix for
    - #969 <https://github.com/ros-perception/image_pipeline/issues/969>
    I added a dependency for python3-semver to replace version parsing
    with disutils.
    Please let me know if you have any questions, concerns, or additional
    requested changes.
  * Contributors: Földi Tamás, Scott Monaghan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 May 2024 22:00:00 -0000

ros-rolling-camera-calibration (5.0.1-1noble) noble; urgency=high

  * Fix spelling error for cv2.aruco.DICT from 6x6_50 to 7x7_1000 (#961 <https://github.com/ros-perception/image_pipeline/issues/961>)
    There was mismatch of capitalisation of "X" for OpenCV
    cv2.aruco.DICT_n**X**n_ in camera_calibration package for dicts 6x6_50
    to 7x7_1000
    Co-authored-by: Vishal Balaji <mailto:vishal.balaji@schanzer-racing.de>
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * migrate camera_calibration documentation (#937 <https://github.com/ros-perception/image_pipeline/issues/937>)
  * install tarfile_calibration (#923 <https://github.com/ros-perception/image_pipeline/issues/923>)
    otherwise, it can't be run easily
  * calibration: better warnings around board configuration #713 <https://github.com/ros-perception/image_pipeline/issues/713> (#724 <https://github.com/ros-perception/image_pipeline/issues/724>)
  * Contributors: Michael Ferguson, Vishal Balaji, jonathanTIE

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-rolling-camera-calibration (5.0.0-1noble) noble; urgency=high

  * ROS 2: Added more aruco dicts, fixed aruco linerror bug (#873 <https://github.com/ros-perception/image_pipeline/issues/873>)
    Related with this PR in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/795
  * ROS 2: Fixing thrown Exception in camerachecker.py (#871 <https://github.com/ros-perception/image_pipeline/issues/871>)
    Related with this PR in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/812
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * fix threading shutdown
  * use correct synchronous service call
  * use remap rules instead of parameters for services
  * remove duplicated definition of on_model_change
  * fix service check
  * remove commented code
  * Fix QoS incompatibility camera_calibration ROS2
  * perform calibration in another thread
  * Contributors: Alejandro Hernández Cordero, Christian Rauch, Kenji Brameld, Michael Ferguson, Michal Wojcik

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-camera-calibration (3.0.1-1noble) noble; urgency=high

  * add python3-opencv to camera calibration dependency
  * port changes from #755 <https://github.com/ros-perception/image_pipeline/issues/755> to rolling branch
  * Contributors: Kenji Brameld

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 23:00:00 -0000

ros-rolling-camera-calibration (3.0.0-1noble) noble; urgency=high

  * Some small fixes noticed while reviewing.
  * fix premature camera model change in camera_calibration
  * Fix shebang lines for noetic python3
  * Update fisheye distortion model definition
  * Fix calibration yaml formatting (#580 <https://github.com/ros-perception/image_pipeline/issues/580>) (#585 <https://github.com/ros-perception/image_pipeline/issues/585>)
  * updated linear_error function to handle partial board views (#561 <https://github.com/ros-perception/image_pipeline/issues/561>)
  * Fix missing detected checkerboard points (#558 <https://github.com/ros-perception/image_pipeline/issues/558>)
  * ChArUco board, Noetic (#549 <https://github.com/ros-perception/image_pipeline/issues/549>)
  * fix #503 <https://github.com/ros-perception/image_pipeline/issues/503>: (#545 <https://github.com/ros-perception/image_pipeline/issues/545>)
  * Minimal Noetic (#530 <https://github.com/ros-perception/image_pipeline/issues/530>)
  * Apply #509 <https://github.com/ros-perception/image_pipeline/issues/509> and #526 <https://github.com/ros-perception/image_pipeline/issues/526> to Noetic Branch (#528 <https://github.com/ros-perception/image_pipeline/issues/528>)
  * Add Fisheye calibration tool (#440 <https://github.com/ros-perception/image_pipeline/issues/440>)
  * camera_calibration: Improve YAML formatting, make config dumping methods static (#438 <https://github.com/ros-perception/image_pipeline/issues/438>)
  * camera_calibration: Fix all-zero distortion coeffs returned for a rational_polynomial model (#433 <https://github.com/ros-perception/image_pipeline/issues/433>)
  * Make sure 'calibrate' button works even if not receiving images anymore
  * Add a comment
  * Replace deque with a modified Queue, add --queue-size param
  * Remove print statement
  * Cosmetic changes
  * Add max-chessboard-speed option to allow more accurate calibration of rolling shutter cameras.
  * revert back
  * added missing imports
  * update pytest.ini
  * fixes to pass tests
  * rebase change
  * implemented fisheye mono and stereo calibration based on the melodic branch
  * trimmed whitespace at line endings
  * Update camera_calibration setup.cfg to use underscores (#688 <https://github.com/ros-perception/image_pipeline/issues/688>)
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Fixed crash when rosargs are given (#597 <https://github.com/ros-perception/image_pipeline/issues/597>)
  * Contributors: Chris Lalancette, David Torres Ocaña, DavidTorresOcana, Gabor Soros, Jacob Perron, John Stechschulte, Joshua Whitley, Martin Valgur, Matthijs den Toom, Michael Carroll, Patrick Musau, Photon, Spiros Evangelatos, Victor Dubois, jaiveersinghNV, soeroesg

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-camera-calibration (2.2.1-1noble) noble; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Add pytest.ini to fix warning (#584 <https://github.com/ros-perception/image_pipeline/issues/584>)
    Fixes the following warning:
    Warning: The 'junit_family' default value will change to 'xunit2' in pytest 6.0.
    Add 'junit_family=xunit1' to your pytest.ini file to keep the current format in future versions of pytest and silence this warning.
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Jacob Perron, Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000

ros-rolling-camera-calibration (2.2.0-1noble) noble; urgency=high

  * Removed basestring (no longer exists in new python 3 version). (#554 <https://github.com/ros-perception/image_pipeline/issues/554>)
    Fixes #551 <https://github.com/ros-perception/image_pipeline/issues/551>
  * Initial ROS2 commit.
  * Contributors: Michael Carroll, PfeifferMicha

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 22:00:00 -0000

ros-rolling-camera-calibration (1.12.23-1noble) noble; urgency=high

  * camera_checker: Ensure cols + rows are in correct order (#319 <https://github.com/ros-perception/image_pipeline/issues/319>)
    Without this commit, specifying a smaller column than row size lead to
    huge reported errors:
    ```
    $ rosrun camera_calibration cameracheck.py --size 6x7 --square 0.0495
    Linearity RMS Error: 13.545 Pixels      Reprojection RMS Error: 22.766 Pixels
    $ rosrun camera_calibration cameracheck.py --size 7x6 --square 0.0495
    Linearity RMS Error: 0.092 Pixels      Reprojection RMS Error: 0.083 Pixels
    ```
    This commit switches columns and rows around if necessary.
  * Contributors: Martin Günther

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-rolling-camera-calibration (1.12.22-1noble) noble; urgency=high

  * Changed flags CV_LOAD_IMAGE_COLOR by IMREAD_COLOR to adapt to Opencv3. (#252 <https://github.com/ros-perception/image_pipeline/issues/252>)
  * Fixed stereo calibration problem with chessboard with the same number of rows and cols by rotating the corners to same direction.
  * Contributors: jbosch

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-rolling-camera-calibration (1.12.21-1noble) noble; urgency=high

  * re-add the calibration nodes but now using the Python modules.
    Fixes #298 <https://github.com/ros-perception/image_pipeline/issues/298>
  * Move nodes to Python module.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-rolling-camera-calibration (1.12.20-1noble) noble; urgency=high

  * properly save bytes buffer as such
    This is useful for Python 3 and fixes #256 <https://github.com/ros-perception/image_pipeline/issues/256>.
  * Get tests slightly looser.
    OpenCV 3.2 gives slightly different results apparently.
  * Use floor division where necessary. (#247 <https://github.com/ros-perception/image_pipeline/issues/247>)
  * Fix and Improve Camera Calibration Checker Node (#254 <https://github.com/ros-perception/image_pipeline/issues/254>)
    * Fix according to calibrator.py API
    * Add approximate to cameracheck
  * Force first corner off chessboard to be uppler left.
    Fixes #140 <https://github.com/ros-perception/image_pipeline/issues/140>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * During stereo calibration check that the number of corners detected in the left and right images are the same. This fixes ros-perception/image_pipeline#225 <https://github.com/ros-perception/image_pipeline/issues/225>
  * Contributors: Leonard Gerard, Martin Peris, Vincent Rabaud, hgaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-rolling-camera-calibration (1.12.19-1noble) noble; urgency=high

  * Fix array check in camerachecky.py
    This closes #205 <https://github.com/ros-perception/image_pipeline/issues/205>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-rolling-camera-calibration (1.12.18-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-rolling-camera-calibration (1.12.17-1noble) noble; urgency=high

  * fix typo np -> numpy
  * fix failing tests
  * Contributors: Shingo Kitagawa, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-rolling-camera-calibration (1.12.16-1noble) noble; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-rolling-camera-calibration (1.12.15-1noble) noble; urgency=high

  * better 16 handling in mkgray
    This re-uses #150 <https://github.com/ros-perception/image_pipeline/issues/150> and therefore closes #150 <https://github.com/ros-perception/image_pipeline/issues/150>
  * fix OpenCV2 compatibility
  * fix tests with OpenCV3
  * [Calibrator]: add yaml file with calibration data in output
  * Contributors: Vincent Rabaud, sambrose

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-rolling-camera-calibration (1.12.14-1noble) noble; urgency=high

  * remove camera_hammer and install Python nodes properly
    camera_hammer was just a test for camera info, nothing to do with
    calibration. Plus the test was basic.
  * Correct three errors that prevented the node to work properly.
  * Contributors: Filippo Basso, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 22:00:00 -0000

ros-rolling-camera-calibration (1.12.13-1noble) noble; urgency=high

  * replace Queue by deque of fixed size for simplicity
    That is a potential fix for #112 <https://github.com/ros-perception/image_pipeline/issues/112>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-rolling-camera-calibration (1.12.12-1noble) noble; urgency=high

  * try to improve #112 <https://github.com/ros-perception/image_pipeline/issues/112>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 23:00:00 -0000

ros-rolling-camera-calibration (1.12.11-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 22:00:00 -0000

ros-rolling-camera-calibration (1.12.10-1noble) noble; urgency=high

  * Update calibrator.py
    bugfix: stereo calibrator crashed after the signature of the method for the computation of the epipolar error changed but the function call was not updated
  * Contributors: Volker Grabe

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

ros-rolling-camera-calibration (1.12.9-1noble) noble; urgency=high

  * fix bad Python
  * only analyze the latest image
    fixes #97 <https://github.com/ros-perception/image_pipeline/issues/97>
  * flips width and height during resize to give correct aspect ratio
  * Contributors: Russell Toris, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-rolling-camera-calibration (1.12.8-1noble) noble; urgency=high

  * install scripts in the local bin (they are now rosrun-able again)
    fixes #93 <https://github.com/ros-perception/image_pipeline/issues/93>
  * fix default Constructor for OpenCV flags
    this does not change anything in practice as the flag is set by the node.
    It just fixes the test.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Aug 2014 22:00:00 -0000

ros-rolling-camera-calibration (1.12.6-1noble) noble; urgency=high

  * make sure the GUI is started in its processing thread and fix a typo
    This fully fixes #85 <https://github.com/ros-perception/image_pipeline/issues/85>
  * fix bad call to save an image
  * have display be in its own thread
    that could be a fix for #85 <https://github.com/ros-perception/image_pipeline/issues/85>
  * fix bad usage of Numpy
    fixes #89 <https://github.com/ros-perception/image_pipeline/issues/89>
  * fix asymmetric circle calibration
    fixes #35 <https://github.com/ros-perception/image_pipeline/issues/35>
  * add more tests
  * improve unittests to include all patterns
  * install Python scripts properly
    and fixes #86 <https://github.com/ros-perception/image_pipeline/issues/86>
  * fix typo that leads to segfault
    fixes #84 <https://github.com/ros-perception/image_pipeline/issues/84>
  * also print self.report() on calibrate ... allows to use the params without having to commit them (e.g. for extrensic calibration between to cameras not used as stereo pair)
  * fixes #76 <https://github.com/ros-perception/image_pipeline/issues/76>
    Move Python approximate time synchronizer to ros_comm
  * remove all trace of cv in Python (use cv2)
  * remove deprecated file (as mentioned in its help)
  * fixes #25 <https://github.com/ros-perception/image_pipeline/issues/25>
    This is just removing deprecated options that were around since diamondback
  * fixes #74 <https://github.com/ros-perception/image_pipeline/issues/74>
    calibrator.py is now using the cv2 only API when using cv_bridge.
    The API got changed too but it seems to only be used internally.
  * Contributors: Vincent Rabaud, ahb

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-rolling-camera-calibration (1.12.5-1noble) noble; urgency=high

  * Fix #68 <https://github.com/ros-perception/image_pipeline/issues/68>: StringIO issues in calibrator.py
  * fix architecture independent
  * Contributors: Miquel Massot, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 10 May 2014 22:00:00 -0000

ros-rolling-camera-calibration (1.12.4-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-rolling-camera-calibration (1.12.3-1noble) noble; urgency=high

  * camera_calibration: Fix Python import order
  * Contributors: Scott K Logan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Apr 2014 22:00:00 -0000

ros-rolling-camera-calibration (1.12.2-1noble) noble; urgency=high

  * Fixes a typo on stereo camera info service calls
    Script works after correcting the call names.
  * Contributors: JoonasMelin

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-rolling-camera-calibration (1.11.4-1noble) noble; urgency=high

  * add visualization during calibration and several calibration flags (#48)

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Nov 2013 13:10:55 +0100


